Bug 1653828 - clinfo and clpeak giving new errors: Intrinsic has incorrect return type!
Summary: clinfo and clpeak giving new errors: Intrinsic has incorrect return type!
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: clinfo
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Deutsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 17:31 UTC by Paul DeStefano
Modified: 2019-11-27 21:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:18:56 UTC


Attachments (Terms of Use)

Description Paul DeStefano 2018-11-27 17:31:48 UTC
Description of problem:
clinfo and clpeak continue to fail for AMDGPU-based systems.

Version-Release number of selected component (if applicable):
clinfo-2.2.17.10.25-3.fc29.x86_64

How reproducible:
AFAIK, OpenCL has never worked in Fedora AMDGPU.  I've been trying.

Steps to Reproduce:
1. install clinfo
2. clinfo

Actual results:


$ clinfo
Number of platforms                               2
  Platform Name                                   Clover
  Platform Vendor                                 Mesa
  Platform Version                                OpenCL 1.1 Mesa 18.2.4
  Platform Profile                                FULL_PROFILE
  Platform Extensions                             cl_khr_icd
  Platform Extensions function suffix             MESA

  Platform Name                                   Portable Computing Language
  Platform Vendor                                 The pocl project
  Platform Version                                OpenCL 1.2 pocl 1.2 RelWithDebInfo, LLVM 7.0.0, SLEEF, DISTRO, POCL_DEBUG
  Platform Profile                                FULL_PROFILE
  Platform Extensions                             cl_khr_icd
  Platform Extensions function suffix             POCL

  Platform Name                                   Clover
Number of devices                                 1
  Device Name                                     AMD Radeon (TM) RX 480 Graphics (POLARIS10, DRM 3.27.0, 4.19.3-300.fc29.x86_64, LLVM 7.0.0)
  Device Vendor                                   AMD
  Device Vendor ID                                0x1002
  Device Version                                  OpenCL 1.1 Mesa 18.2.4
  Driver Version                                  18.2.4
  Device OpenCL C Version                         OpenCL C 1.1
  Device Type                                     GPU
  Device Available                                Yes
  Device Profile                                  FULL_PROFILE
  Max compute units                               36
  Max clock frequency                             1288MHz
  Max work item dimensions                        3
  Max work item sizes                             256x256x256
  Max work group size                             256
  Compiler Available                              Yes
Intrinsic has incorrect return type!
i8 addrspace(2)* ()* @llvm.amdgcn.dispatch.ptr
Intrinsic has incorrect return type!
i8 addrspace(2)* ()* @llvm.amdgcn.dispatch.ptr
Intrinsic has incorrect return type!
i8 addrspace(2)* ()* @llvm.amdgcn.dispatch.ptr
Intrinsic has incorrect return type!
i8 addrspace(2)* ()* @llvm.amdgcn.implicitarg.ptr
LLVM ERROR: Broken function found, compilation aborted!

Comment 1 Paul DeStefano 2018-11-30 20:46:55 UTC
See bug 1548885 for background.

Comment 2 Paul DeStefano 2018-11-30 22:53:16 UTC
Also bug 1573031 for background.

Comment 3 Paul DeStefano 2018-12-10 17:11:41 UTC
After weekly update, clinfo completes without any errors!

I see I have LLVM 7, now.  Could that be related?

On the other hand, clpeak hangs.  I'll open a different bug for that.

Comment 4 Ben Cotton 2019-10-31 19:52:38 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 21:18:56 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.